POST
/
api
/
v1
/
users
/
invite
/
{organization_id}
Invite Member
curl --request POST \
  --url https://api.jobsim.work/api/v1/users/invite/{organization_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "job_title": "<string>",
  "department": "<string>",
  "access_level": "<string>",
  "auto_assign_default_workdays": true
}
'
{
  "user": {
    "username": "<string>",
    "email": "<string>",
    "organization_id": "<string>",
    "_id": "<string>",
    "full_name": "<string>",
    "role": "employee",
    "is_bot": false,
    "is_active": true,
    "avatar_url": "<string>",
    "bio": "<string>",
    "education": [
      {
        "degree": "<string>",
        "field_of_study": "<string>",
        "university": "<string>",
        "graduation_year": "<string>"
      }
    ],
    "certifications": [
      {
        "name": "<string>",
        "year": "<string>",
        "issuer": "<string>"
      }
    ],
    "hobbies": [
      "<string>"
    ],
    "career_goals": {
      "dream_job": "<string>",
      "experience_level": "<string>",
      "career_goal": "<string>",
      "current_role": "<string>",
      "department": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_seen": "2023-11-07T05:31:56Z",
    "metadata": {}
  },
  "organization_name": "<string>",
  "email_sent": true,
  "temporary_password": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Body

application/json
first_name
string
required
Minimum string length: 1
last_name
string
required
Minimum string length: 1
email
string
required
Minimum string length: 3
job_title
string | null
department
string | null
access_level
string | null
auto_assign_default_workdays
boolean
default:true

Response

Successful Response

user
User · object
required
organization_name
string
required
email_sent
boolean
required
temporary_password
string | null